import React from 'react';
import { Mode } from '../../../type/entity';
export interface RenderChildProps {
    value: string;
    mode?: Mode;
    pageInfo?: object;
    props?: any;
    onChange?: (value: string) => void;
}
interface StateProps {
    editValue: any;
}
declare class RenderChild extends React.Component<RenderChildProps, StateProps> {
    static displayName: string;
    constructor(props: RenderChildProps);
    render(): React.ReactNode;
}
export default RenderChild;
